Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000504All Inform front-end applications[IDEs] User Interfacepublic2011-01-11 17:482014-05-07 07:40
ReporterRon Newcomb 
Assigned Toahunter 
PrioritynormalSeveritycosmeticReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS VersionXP
Product Version 
Target VersionFixed in Version6L02 
Summary0000504: The order of tabs in the Index is different between platforms.
DescriptionWindows has

   Contents, Actions, Kinds, Phrases, Rules, Scenes, World

Mac has

   Actions, Contents, Kinds, Phrasebook, Rules, Scenes, World

The first two are swapped and the fourth's name differs.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001257)
pchimento (developer)
2011-08-23 20:46

Linux has

Contents, Actions, Kinds, Phrasebook, Rules, Scenes, World

I used to have it the OS X way, but I changed it shortly before the release of 6G60 in response to an e-mail conversation.

Here's what Graham said about the difference between the OS X and Windows versions:
"the tabs are displayed in alphabetical order, but Contents is the default. Honestly, though, I think I like it your way better - i.e. Contents first and then the rest in alphabetical order..."

We should standardize the name of the fourth tab to be "Phrases" or "Phrasebook", though.
(0001259)
Ron Newcomb (reporter)
2011-08-24 02:11

I recommend Phrases over Phrasebook so as not to cause confusion with Rulebooks.
(0001355)
graham (administrator)
2011-10-13 13:38

Yes, I prefer Phrases, and indeed I think Windows is the one to follow here.
(0001479)
pchimento (developer)
2011-12-07 12:45

I've changed to Phrases now.

I think we should also change the NI compiler to produce HTML that says "Phrase Index" at the top instead of "Phrasebook Index".
(0002627)
DavidK (developer)
2014-04-19 08:50

After further consideration, "Phrasebook" has been settled on, rather than "Phrases".

- Issue History
Date Modified Username Field Change
2011-01-11 17:48 Ron Newcomb New Issue
2011-01-12 01:30 jmcgrew Project IDEs => All Inform front-end applications
2011-01-12 01:30 jmcgrew Status new => acknowledged
2011-01-14 16:06 EmacsUser Status acknowledged => confirmed
2011-08-23 20:46 pchimento Note Added: 0001257
2011-08-24 02:11 Ron Newcomb Note Added: 0001259
2011-10-13 13:38 graham Assigned To => ahunter
2011-10-13 13:38 graham Status confirmed => assigned
2011-10-13 13:38 graham Note Added: 0001355
2011-12-07 12:45 pchimento Note Added: 0001479
2014-04-19 08:50 DavidK Note Added: 0002627
2014-04-19 08:50 DavidK Status assigned => resolved
2014-04-19 08:50 DavidK Resolution open => fixed
2014-05-07 07:40 jmcgrew Fixed in Version => 6L02
2014-05-07 07:40 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker